Subject: Re: Alpine Linux question

From: PICCORO McKAY Lenz <[email-masked]>
Date: Mon, 10 Feb 2020 12:28:19 -0430

El lun., 10 de feb. de 2020 a la(s) 12:02, Ing. Jiri Ullmann
([email-masked]) escribió:
> Hello Lenz, yes, this happen only with Alpine Linux. In that UEFI setup is except of boot order nothing to configure and

AS i guess, there are some UEFI have the option of disabling the safe
boot but there's small ones that really it have a pseudo option, which
does not disable it completely as in the case of the last magellanic
minilaptops (canaimites) from Argentina and Venezuela...

> harddrive I have on the first upper position, so it should work. But there is no record about UEFI file to boot.

https://wiki.alpinelinux.org/wiki/Alpine_and_UEFI#Notes_about_the_boot_flags_and_boot_partition

AS you said.. boot relies on the partitions scheme as i write in the
wiki (the only man that takes the most important taks to avoid those
problems of miscinformation)

BUT: https://wiki.alpinelinux.org/wiki/Alpine_and_UEFI#What.27s_this_infamous_.22Secure_Boot.22.3F

as i tell you there's some that have a speudo option.. in those
"magallanes" mini laptops i must only can install winbuntu, debian and
guinddd.. argggg dos..

that due need  a very specific corret scheme partition with a specific
firmware files as explained here
https://wiki.alpinelinux.org/wiki/Alpine_and_UEFI#Alpine_disk_layout_for_UEFI

IT's har to do that i understant you, but are very bad when developer
dont write their documentations and users must guess all the things

> Sad World with UEFI.
>
>
> --
> Ing. Jiří Ullmann
> [email-masked]
> +420-607-542442
> *** ISYS / Alpine Linux 3.11.3 ***
>
>
> ---------- Původní e-mail ----------
> Od: PICCORO McKAY Lenz <[email-masked]>
> Komu: Ing. Jiri Ullmann <[email-masked]>
> Datum: 10. 2. 2020 16:20:31
> Předmět: Re: Alpine Linux question
>
> hey Jiri, that problem only happened on alpine linux? i mean, seems in
> your UEFI BIOS maybe there's another boot order or config that
> prevents to boot it
>
> similar problem happened in the https://t.me/alpine_linux telegram group
>
>
> Lenz McKAY Gerardo (PICCORO)
> http://qgqlochekone.blogspot.com
>
> El lun., 10 de feb. de 2020 a la(s) 10:44, Ing. Jiri Ullmann
> ([email-masked]) escribió:
> >
> > Dear Friends,
> >
> > I am very, very, VERY satisfied user of your Alpine Linux. Because I am a pretty Old-School linux user,
> > so I have for my distro such specific demads:
> >
> > - Text only distro (without gui)
> > - Not live, but installable distribution image
> > - Not systemd utilization (openRC is completely nice alternative for me)
> > - Small size (if possible ideal up to max. 1GB)
> >
> > These all of them is Alpine Linux greatly satisfiing and I must say big THANKS TO YOU! for your great work.
> > All of you are bringing true spirit of computing to my life and work, because graphical machines are not my cup of tea
> > and for my kind of computing I do not need Windows nor Big Linux distro…
> >
> > Unfortunately with new set of my hardware came devices, whose have UEFI only firmware (without CMS module) and I
> > have serious troubles to install Alpine Linux on them. As hardware producers are switching to UEFI class 3 and dropping legacy BIOS interface (CMS), incidence of problems is growing. Please, if you have such idea, help me in my troubles.
> >
> > What is the object of trouble:
> > Installation of Alpine Linux Extended Image version 3.11.3 on computer, which is UEFI only capable.
> > What happened:
> > ISO with Alpine Linux (extended) 3.11.3 booted properly and I got first start root prompt (as many times before)
> > I have done usual mantra, so export BOOTLOADER=grub then setup-alpine, walk through questions as usual and
> > installation has begun. During installation nothing wrong (visualy) happened, no extra error messages etc… BUT,
> > after rebooting and removing installation media system want not to boot and in UEFI boot order list is not present any record leading to Alpine Linux.
> > What I have checked:
> > - Double checked if SecureBoot is OFF, it was first idea, which I had, but SecureBoot was really OFF
> > - Boot again from CD and mount partitions from harddrive (EFI, SYS and SWAP) partitions were present, in EFI partition
> > existing alpine and boot subfolders with appropriate bootx64.efi and grubx64.efi files were existing and look without
> > problem.
> > - The same installation CD I tried on another UEFI only computer and it work without trouble
> > - I have tried on device, with which I have troubles another distro (ubuntu) and it worked perfectly, but UBUNTU is not
> > the right one, I want to use...
> > - I have not possibility from UEFI setup environment find and assign boot file to boot menu... This version is lack of this option.
> > - I walked through your FAQ and WIKI and (maybe wrong searching), but did not find any info, which will give me a chance
> > to try something another.
> > - I am afraid, that it is something wrong with writing values to the EFIVARS, but I am not so much familiar with them in
> > ALPINE, because up to this time everything gone seamless. Please have you such trick and/or advice how to deal with this trouble? I really want not to give up with Alpine Linux on that maschine.
> >
> > Thank you a lot in advance for your time and answer.
> >
> > Your big fan from Czech Republic
> >
> > Jiri Ullmann
> >
> >
> > --
> > Ing. Jiří Ullmann
> > [email-masked]
> > +420-607-542442
> > *** ISYS / Alpine Linux 3.11.3 ***
> >